Epic # 61834 (Accepted): Create future proof Content Element with strong default

Status: Accepted Priority: Won't have this time
TYPO3 Version: 7
Complexity:
Sprint Focus:
Subject: Reorganize Content Element properties within backend Extension
Description

To be prepared for the future of new Content Elements many properties of tt_content should be refactored.
Main problems are: Unused/antiquated fields, unclear naming, un-deterministic spelling.

As discussed at the T3UXW14 the best technical approach is to move fields to EXT: css_styled_content.
Allow extensions for alternative Content Elements with Rendering.

As a first step for a clean up and refactored tt_content properties - specific properties should be moved to EXT: css_styled_content.
New approaches for Content Elements are born with EXT: content_elements and EXT: fluid_contentelements or futuristic Content
Element Types.

Subtasks:
Task # 61842: Refactor CSS-Styled-Content + Content Elements New
  Feature # 13230: tt_content.search.20 should be done with the new FORM mapping Needs Feedback
  Feature # 13229: tt_content.login.20 should be done with the new FORM mapping Accepted
  Task # 60801: Remove "tt_content >" from SYSEXT: css_styled_content Rejected
  Bug # 48066: Remove content element Bullet List and migrate data Closed
  Feature # 49547: Media content element: HTML5 as standard New
  Feature # 47709: File Links content element icon/thumb list usability New
  Feature # 44779: No css_styled_content on content element TABLE Resolved
  Bug # 39518: Page: content element icons inconsistent Accepted
  Task # 34794: CSS Styled Content should ship HTML5 by default Resolved
  Bug # 14166: Content Type TABLE does not allow 0 cellspacing New
  Bug # 37670: Text with image - image dimensions Closed
  Bug # 38460: Using media-element --> Flashfallback fails Accepted
  Bug # 42070: Media CE (HTML5 <video> element ) controls don't work on Chrome Closed
  Bug # 43420: Media element does not render any output Closed
  Bug # 44633: Media-element: Vimeo-video can not play via HTML5 New
  Feature # 47581: Offer possibility to have ordered list with CType bullets Rejected
  Bug # 49476: css_styled_content borderThick could not be set to 0 New
  Bug # 53305: HTML5 rendering of headers works only if a date is set Closed
  Bug # 56105: image position below: No margin-bottom if more than one image New
  Bug # 62682: Separate core and css_styled_content Closed
Related issues:
precedes Core - Feature # 61839: Include modern Content Elements New 2015-07-07

History
#1 - 2014-09-24 12:02 - Felix Kopp
Keep only the necessary basic properties for Content Elements:

+ Authoring (user, tstamp, time)
+ Hierarchy (position, sorting, parent page)
+ Visibility (frontend user access, access time, )
+ Channel (language, workspace)

Move everything else to CSS-Styled-Content.

#2 - 2014-09-24 12:04 - Felix Kopp
- Subject changed from Move Content Element fields to CSS-Styled-Content to Strip down Content Element

Move additional properties of Content Elements to CSS-Styled-Content.

TYPO3 core will deliver CSS-Styled-Content and a modern version of CSS-Styled-Content with modern Content Elements plus migration wizard.

#3 - 2014-09-24 12:07 - Felix Kopp
- Subject changed from Strip down Content Element to Reorganize Content Element properties within backend Extension

#4 - 2014-09-24 12:13 - Patrick Broens

This means tt_content table definitions, TCA, language labels and user functions, used in TCA

#5 - 2014-09-25 11:56 - Patrick Broens
- File Field arrangement.pdf added
- File Field arrangement.pdf added

#6 - 2014-09-25 12:04 - Patrick Broens
- File deleted (Field arrangement.pdf)

#7 - 2014-09-25 12:05 - Patrick Broens
- File Field arrangement.pdf added
- File Field arrangement.pdf added

#8 - 2015-02-04 23:31 - Felix Kopp
- Status changed from New to Accepted

Files
Field arrangement.pdf 50.4 kB 2014-09-25 Patrick Broens
